package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 课程报告表格3bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class CourseTargetTableBean3 implements Serializable {

    @ApiModelProperty(name = "序号")
    Integer num = 0;

    @ApiModelProperty(name = "项目")
    String project;

    @ApiModelProperty(name = "考核内容及要求")
    String content;

    @ApiModelProperty(name = "目标分值")
    BigDecimal target;

    @ApiModelProperty(name = "对应的课程目标")
    String courseTarget;

    public CourseTargetTableBean3() {

    }

    public CourseTargetTableBean3(Integer num, String project, String content, BigDecimal target, String courseTarget) {
        this.num = num;
        this.project = project;
        this.content = content;
        this.target = target;
        this.courseTarget = courseTarget;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public BigDecimal getTarget() {
        return target;
    }

    public void setTarget(BigDecimal target) {
        this.target = target;
    }

    public String getCourseTarget() {
        return courseTarget;
    }

    public void setCourseTarget(String courseTarget) {
        this.courseTarget = courseTarget;
    }
}
